using System.Windows;

namespace XLAB
{
    public partial class TipsEditWindow : Window
    {
        internal TipsEditWindow(TipsEditWindowViewModel viewModel)
        {
            InitializeComponent();
            DataContext = viewModel;
            viewModel.CloseRequested += ViewModelOnCloseRequested;
        }

        private void ViewModelOnCloseRequested(object sender, bool? dialogResult)
        {
            DialogResult = dialogResult;
            Close();
        }
    }
}
